Subject: [PANRG] Question regarding multi-link work

From: Jens Finkhaeuser <[email-masked]>
Date: Thu, 24 Mar 2022 16:55:17 +0000

Hi all,

I'm new to the lists (tsvwg and panrg), and have been pointed here for multi-path related topics. I have a question if there is interest in something.

A couple of years ago I created a very simple tunneling protocol with multi-link capabilities. From that I started writing a paper, which never ended up getting published. I was wondering if that paper might generate some interest as an internet draft, in which case I'd put effort into converting it.

The work was borne out of experiences with MP-TCP for tunneling on the one hand, and requirements from drone communications links on the other. In particular, the latter requires very fast fail- or switchover between links, while the tunneling application makes TCP a little less than ideal.

In its concrete (prototype) implementation, the protocol is UDP-based, so is probably comparable to MP-UDP efforts (at first glance).

However, the paper concerns itself quite deliberately with the abstract state machine(s) and messages. As such it does not place any requirements on UDP/IP addressing and could just as easily be applied to serial links, Ethernet or any communications channel that can be identified somehow. In fact, I would consider its main contribution that it is as agnostic of the message transport as I deemed possible. This is also why I have been avoiding the "path" term a little.

Similarly, it is not particularly concerned with bidirectional communications. It takes the view that a multi-link is established if at least one egress and one ingress link is viable.

Since multi-path concerns have been discussed here, I can see few better places to take this. But with how far removed the paper is from any protocols in development at the IETF, I still wanted to sound out interest before taking on the work in converting this into an Internet draft.
Thank you for your initial feedback!

Jens